%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Signaling Module                                                        %
%version 1 23rd of September                                              %
%this function gives the two float roots of a 2nd degree polynomial       %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function roots = Polynomials_solver(a,b,c)
delta = b^2-4*a*c; %the determinant where a,b and c are the coefficients 
                   %of the polynomial

if delta>=0
            roots(1)=(-b+sqrt(delta))/(2*a);
            roots(2)=(-b-sqrt(delta))/(2*a);
else
    printf('Big Fail');%imaginary numbers are irrelevant for biology ;)
    
end
end